libnl: Hierarchical Fair Service Curve (HFSC)

libnl 3.12.0

Hierarchical Fair Service Curve (HFSC)
Routing Library (libnl-route) » Traffic Control » Queueing Disciplines | Routing Library (libnl-route) » Traffic Control » Traffic Classes

## Attribute Modifications
uint32_t | rtnl_qdisc_hfsc_get_defcls (const struct rtnl_qdisc *qdisc)
| Return default class of HFSC qdisc.
int | rtnl_qdisc_hfsc_set_defcls (struct rtnl_qdisc *qdisc, uint32_t defcls)
| Set default class of the hfsc qdisc to the specified value.
int | rtnl_class_hfsc_get_rsc (const struct rtnl_class *class, struct tc_service_curve *tsc)
int | rtnl_class_hfsc_set_rsc (struct rtnl_class *class, const struct tc_service_curve *tsc)
int | rtnl_class_hfsc_get_fsc (const struct rtnl_class *class, struct tc_service_curve *tsc)
int | rtnl_class_hfsc_set_fsc (struct rtnl_class *class, const struct tc_service_curve *tsc)
int | rtnl_class_hfsc_get_usc (const struct rtnl_class *class, struct tc_service_curve *tsc)
int | rtnl_class_hfsc_set_usc (struct rtnl_class *class, const struct tc_service_curve *tsc)

## Detailed Description

## Function Documentation

## ◆ rtnl_qdisc_hfsc_get_defcls()

uint32_t rtnl_qdisc_hfsc_get_defcls | ( | const struct rtnl_qdisc * | qdisc | ) |

Return default class of HFSC qdisc.

Parameters

  qdisc | hfsc qdisc object

Returns the classid of the class where all unclassified traffic goes to.

Returns
  classid or TC_H_UNSPEC if unspecified.

Definition at line 209 of file hfsc.c.

## ◆ rtnl_qdisc_hfsc_set_defcls()

int rtnl_qdisc_hfsc_set_defcls | ( | struct rtnl_qdisc * | qdisc,
|  | uint32_t | defcls )

Set default class of the hfsc qdisc to the specified value.

Parameters

  qdisc | qdisc to change
  defcls | new default class

Definition at line 225 of file hfsc.c.

## ◆ rtnl_class_hfsc_get_rsc()

int rtnl_class_hfsc_get_rsc | ( | const struct rtnl_class * | class,
|  | struct tc_service_curve * | tsc )

Definition at line 239 of file hfsc.c.

## ◆ rtnl_class_hfsc_set_rsc()

int rtnl_class_hfsc_set_rsc | ( | struct rtnl_class * | class,
|  | const struct tc_service_curve * | tsc )

Definition at line 253 of file hfsc.c.

## ◆ rtnl_class_hfsc_get_fsc()

int rtnl_class_hfsc_get_fsc | ( | const struct rtnl_class * | class,
|  | struct tc_service_curve * | tsc )

Definition at line 267 of file hfsc.c.

## ◆ rtnl_class_hfsc_set_fsc()

int rtnl_class_hfsc_set_fsc | ( | struct rtnl_class * | class,
|  | const struct tc_service_curve * | tsc )

Definition at line 281 of file hfsc.c.

## ◆ rtnl_class_hfsc_get_usc()

int rtnl_class_hfsc_get_usc | ( | const struct rtnl_class * | class,
|  | struct tc_service_curve * | tsc )

Definition at line 295 of file hfsc.c.

## ◆ rtnl_class_hfsc_set_usc()

int rtnl_class_hfsc_set_usc | ( | struct rtnl_class * | class,
|  | const struct tc_service_curve * | tsc )

Definition at line 309 of file hfsc.c.